1 Getting started. / Hot Keyboard Macro Utility Documentation

<< Previous | Table Of Contents | Next >>

Before Hot Keyboard can become an essential tool to you, it has to become familiar to you. One of the easiest ways of doing this is by reading the documentation. It's not required, but definitely recommended. During the reading you will find a lot of useful and unique features that will help you operate your computer faster and with much less repetitive effort.

In the Getting Started section you will:

  • Learn about macros and actions
  • Learn how Hot Keyboard works
  • Create and run a simple macro
  • Get a description of basic Hot Keyboard features

Productive keyboarding!


1.1 Macros and actions. / Hot Keyboard Macro Utility Documentation

<< Previous | Table Of Contents | Next >>

What is a macro? - A macro is a set of commands to perform a task. Typically many commands are repetitive and monotonous. A macro lets you run these repetitive actions with a single keystroke.

What is an action? - Hot Keyboard defines an action as what gets done by one macro, such as "open a web page", "execute a program", "type text" and others.

Hot Keyboard lets you create macros of different action types and assign each macro to its own hot key so it can be executed quckly. In addition, each macro can be set to run automatically on its own schedule. Hot Keyboard provides a very flexible and powerful scheduler that you can use very much to your advantage

Once you create your macros Hot Keyboard hides itself in the system tray and works in the background. When you press a hot key to run one of your macros Hot Keyboard remains invisible while it performs the action you want.


1.2 Create the first macro. / Hot Keyboard Macro Utility Documentation

Let's make a simple but useful first macro. This macro will help you type a greeting much faster.

Step 1

Double click on Hot Keyboard icon in the System Tray (bottom right corner of your screen) Hot Keyboard icon to open the Main control window.

Hot Keyboard Main Dialog Window

Click the New macro button to create this macro.

Step 2

You should be seeing this window:

Hot Keyboard New Macro Dialog Window

In the Macro name field type a few words to describe it.

In the "Hot key" field you do not have to type anything. Choose the hot key you want to use to run this new macro and simply press this combination of keys on the keyboard. For example, hold down the Ctrl and Alt buttons and then press "J". You will get something like this:
Hot Key Defenition
(Don't forget to release the Ctrl and Alt buttons)

Hot Keyboard gives you tremendous control of your Windows programs right from your keyboard. In our tutorial we'll choose a simple "Paste a text" action type. (This will enable you to insert any text into practically any Windows program.)
Choosing an action

Now you can type in the text you want to paste into your documents. We chose "Hello, World!" text, just as an example.
You have just defined your first macro. Here is a picture of a finished macro:

Step 3

Press the OK button to save your macro. To test it, run Notepad or Wordpad or your favorite word processor. Type in some text as you normally would, then press Ctrl+Alt+J and you will see "Hello, World!" typed out for you. You can use this macro in any of your Windows applications including most paint programs (graphics editors).

Step 4

Take a bit of time and define other types of macros to launch a web browser, execute a program, change the sound volume of your computer and others. The time you spend becoming familiar with Hot Keyboard is time well spent. After a short while it will become a favorite time saver.

If you have a question not covered in our help files or FAQ, please feel free to email us at support@hot-keyboard.com.


1.3 Basic functions description. / Hot Keyboard Macro Utility Documentation

The previous page mentioned there are several types of actions you can perform through Hot Keyboard. If you're a novice Windows user we would like to introduce these actions now. Each action can be assigned to a hot key or scheduled to be executed at any time you want.

Action Types Description

    Action Type | Description | Related Links
Paste text | This action type allows you to paste text directly into applications and/or emulate keystrokes. In addition, it is possible to include date/time stamps, entire text files, special symbols and more. | Detailed help
Record/Play keystrokes | Records a sequence of keystrokes to play them back whenever you need to. | Detailed help
Execute a program | Runs a specified program. You can run a software application or execute a file to view or edit in an associated application. | Detailed help
Window manipulations | You can close, activate, minimize, maximize, set the position of your windows and even start the screen saver. | Detailed help
Menu | Menus are very useful for grouping and organizing your macros. They also let you execute a macro without having to assign a hot key to it, providing a tremendous number of macros. | Detailed help
Open a folder | Opens a Windows folder. In addition to common folders, this action opens specific system folders such as "Control panel", "My Computer", "Network Neighborhood", etc. | Detailed help
Sound Volume Control | Controls the sound volume of your computer. Increase loudness or mute through one key press. You can even set separate hot keys to control the CD player volume as well as any other of your music devices. | Detailed help
Autoreplace text | Expands a short string to a whole text. For example, you can set the string "addr" to be expanded to your postal address when you type it in a text editor or email message. | Detailed help
Dial-up networking | Starts dialup service to establish an internet connection. | Detailed help
Launch web browser | Launches web browser with a specified address (URL) to open. | Detailed help
Shutdown Windows | In addition to a simple shutdown this action type lets you restart the computer and log on as a different user. | Detailed help
CD Player | Play, stop, eject, fast forward, rewind your computer's CD Player with this action type. | Detailed help
Reminder | This action type lets you create reminders, messages that appear at specific times you set. Please note: the reminder is a specific action type. It could be activated by its own hot key, but there is no need to do this because the reminder message will pop up automatically at the time you specify for it. | Detailed help
SmartAdd | SmartAdd is an "Internal" action type which provides a fast and convenient way to create a macro. For example, you can highlight some text, in any Windows application where text can be highlighted, press a hot key and a new macro using the selected text is created. This can be done for each of the text related action types such as: paste text, launch web browser, execute a program and reminder. | Detailed help


2 Action types. / Hot Keyboard Macro Utility Documentation

<< Previous | Table Of Contents | Next >>

In Action Types you will:

  • Learn what actions Hot Keyboard can perform for you
  • Get tips and usage ideas


2.1 Paste text / Hot Keyboard Macro Utility Documentation

This action type allows you to paste text directly into applications and/or emulate keystrokes. In addition, it is possible to include date/time stamps, entire text files, special symbols and more.

There are two ways you can paste text into a document with the paste text macro:
  • "via clipboard" (fast)
  • by playing keys (slow, but can accomplish more)

Action Parameters

The "Play keys instead of using clipboard" option, when checked, will enter the text you want to paste key by key. This is a slower method than using the clipboard but will be successful even when an application does not accept text from the clipboard. If you find your paste-text macro is not working with some application, just check the "Play keys instead of using clipboard" and your macro will now work, although slower than before.

Text to paste - use this box to type the text you want to paste into documents.

To include special values (such as date, time, files, special keys) there are several methods to use. These values can be inserted using

Specials menu
Specials menu 		Extended editor
Extended editor

The following formal syntax is for advanced users:

$(Time:<timeformat>) - insert date/time stamps

<timeformat> - set of time variables, user configurable:

%x - default date format (long)
%#x - default date format (short)
%X - default time format
%d - day of month
%m - month
%y - year (two digits)
%Y - year (four digits)
%H - hours (24h format)
%I - hours (12h format)
%M - minutes
%S - seconds # - this modifier is used to remove leading zeroes from digits (%#m, %#H, etc)

Examples:

$(Time:%m-%d-%Y)
$(Time:%x %X)

(Tab) - insert the Tab symbol (via clipboard method), or emulate aTAB key press (play keys method).

$(Enter) - insert the carriage return symbol (via clipboard method), or emulate anENTER key press (play keys method).

$(Ctrl+Enter) - insert the carriage return symbol (via clipboard method), or emulate aCtrl+ENTER key press (play keys method).

Tip: Ctrl+Enter can be used to insert the carriage return (CR) symbol into a text box (to wrap text), in those cases where an Enter key press would close the dialog box.

$(Currency) - Currency symbols (for different countries)

$$ - Dollar sign

$(File:<filename>) - Insert a complete text file

Example:

$(File:c:\my documents\mytext.txt)

"Play keys" method ONLY macros:

$(Escape) - emulate Esc key

$(Key:<keycode>) - play key specified by its key code

Examples:

$(Key:00,08) - Backspace

$(Key:01,09) - Shift+Tab

Tip: You can create a custom key by using "Special key" then "Custom key"

Example:

Paste text example

See also:

Autoreplace action type


2.2 Autoreplace text / Hot Keyboard Macro Utility Documentation

Autoreplace is similar to the Paste text action type. It lets you replace a short text string with a long one automatically as you type.

Action Parameters

Replace enter the text to be replaced

with enter the text you want to paste

For details please refer to Paste text

Usage ideas:

  • paste longer, frequently used text strings automatically over the specified short strings as you type
  • correct errors on the fly; if you often mistype "you" as "yuo", correct it automatically

See also:

Paste text action type


2.3 Record and play keystrokes / Hot Keyboard Macro Utility Documentation

Hot Keyboard lets you record keystrokes and play them back at the press of a hot key

Action Parameters

Record - starts the recording of your keystrokes

Note: to STOP recording, you must press Ctrl+Break or click on icon in the system tray

Tip

Mouse movements are not recorded by Hot Keyboard, so you can use your mouse to do some "background" work while recording.

Usage ideas:

  • Filling out web forms
  • Entering logins and passwords
  • A frequent, complex manipulation of text, images, files or folders
  • Any often repeated series of keystrokes in an application

See also:

Paste text action type


2.4 Execute a program / Hot Keyboard Macro Utility Documentation

You can execute any program by pressing a hot key.

Action Parameters

Command line - type in the path to the program (or a Windows registered file type) or choose it by browsing with the button. Then you can add any command line parameters needed.
Execute minimized - if checked will run the program minimized (in the background without a window)
Switch to existing (if already running) - if a program you run is already running and this option is checked Hot Keyboard will switch to the running copy instead of executing new one.

Tip

To execute a program and have it loaded with a particular file, place only the file on the Command line. Be sure that the program you want to execute is the application associated with this file type by Windows. For example, if the Command line has only "text.txt" Hot Keyboard will automatically open Notepad to edit this file.

Usage ideas:

  • Run your favorite text editor, email client, internet browser etc
  • Easy start to your frequently used programs
  • Saves your desktop from icon clutter
  • Hide a file from nosey co-workers by accessing it only with your own hot key

See also:

Open folder action type


2.5 Windows manipulations / Hot Keyboard Macro Utility Documentation

This action type provides an ability to manipulate windows on your desktop and other desktop-related functions.

Action parameters

Manipulation type defines what this macro will actually do

Values:
Close window
Minimize window
Maximize window
Restore window
Minimize all - perform minimize on all active windows on the desktop
Activate specific window - activate window with specific title
Start screen saver - start default screen saver
Set window position - set active window to specified coordinates

Usage ideas

  • Arrange windows on a desktop via Set window position option
  • Minimize all windows to uncover the desktop
  • Activate frequently used applications with hot keys instead of using the mouse or Alt+Tab switch
  • Quickly start the screen saver to hide confidential information from a passer-by.

See also:

Shutdown Windows action type


2.6 Open a folder / Hot Keyboard Macro Utility Documentation

Opens a folder on a disk or a network. You can open a regular folder or the Control Panel, Network Neighborhood or other special folders.

Action Parameters

Folder to open enter the path to the folder you wish to open or select the folder using the "Browse" button.

Usage ideas:

  • Open a network disk with a hot key
  • Open the folder "My Documents" to get into your documents quickly
  • Open with a hotkey any folder you use frequently

See also:

Execute a program action type


2.7 Sound volume control / Hot Keyboard Macro Utility Documentation

This action type lets you control your computer's sound volume using hot keys from within any Windows application.

Action Parameters

Volume change - use a numeric value, with the options listed below, to define the sound volume level you'd like to set. Note: the maximum value is 255 and the minimum is 0.

Options:

<number> set the volume level to the specified <number>
+<number> increase the volume level by <number>
-<number> decrease the volume level by <number>

* Mute the sound. The difference between * and 0 is that * allows you to restore the sound volume level by pressing the same hot key once more (performs mute/un-mute).

Sound Device - choose the sound device you want to apply the volume change to. MasterVolume means all sound devices.

Usage ideas:

  • Control the sound volume of a CD player using a single hot key
  • Mute/un-mute all sounds quickly
  • Put «255» value to "Volume change" set it to the hot key and... do not use this hot key
  • Use hot keys to control the sound volume while playing games! (so you do not have to change the active task)

See also:

CD player control


2.8 Windows cd player control / Hot Keyboard Macro Utility Documentation

Control the Windows CD Player with hot keys.

Action parameters

CD player command - choose from the commands listed in the drop down menu to perform on the Windows CD Player.

Tip

When you change a CD track, rewind or fast forward the CD, the Hot Keyboard tray icon will display some useful information.

Usage ideas:

  • Control Windows CD Player from any Windows application, even games

See also:

Sound Volume Control
CD Player Action Tips


2.9 Dial-up networking / Hot Keyboard Macro Utility Documentation

This action type lets you open a dial-up connection quickly.

Action parameters

Connection to establish - choose the connection to be established. Note: the connection must have been defined already in "Windows Dialup Networking".

Tip

Once you've established the dialup connection with its hot key, you can press the same hot key again to call the dialup connection dialog where you can close the connection or change its settings

See also:

Launch web browser action type


2.10 Launch web browser/ Hot Keyboard Macro Utility Documentation

Use this action type to open a web page in your default web browser.

Action parameters

URL to browse enter the URL (web page address) you want to be opened. You can import Internet Explorer's favorites by clicking the ">" button.

Tip

This macro can be used to open telnet, ftp or other internet services by simply specifying the full URL, for example: "telnet://myhost.com", "ftp://ftp.simtel.net", "mailto:support@tblabs.com".

Usage ideas:

  • Quickly open a favorite search engine
  • Open your web site's statistics page
  • Open http://www.hot-keyboard.com to get the latest news and updates to Hot Keyboard

See also:

Dial-up networking action type


2.11 Shutdown Windows/ Hot Keyboard Macro Utility Documentation

Shutdown Windows with a hot key press.

Action parameters

To do after shutdown - choose what to do after the system shuts down Force shutdown Force shutdown even if an application has unsaved data. Use with caution, you may lose some data.

Usage ideas:

  • Shutdown quickly when you have a lot of useless data in your applications and do not want to repeatedly click "No" buttons as your applications close.

See also:

Windows manipulations action type


2.12 Reminder / Hot Keyboard Macro Utility Documentation

This action type lets you create reminders, messages that appear at specific times you set. Please note: the reminder is a specific action type. It could be activated by its own hot key, but there is no need to do this because the reminder message will pop up automatically at the time you specify for it.

Action parameters

Reminder text - enter the message you want to appear when the reminder is activated
Set Time - choose time period for the reminder to appear
Advanced - press this button to set the time you want the reminder to pop up; please refer to Scheduler dialog window to learn about the different time settings available.
Play sound when get activated - check this box to select the sound file (.WAV) to be played when this reminder is activated

Tip

Reminders are deleted automatically when they expire.

Usage ideas:

  • Make a reminder so you will not miss a meeting while reading your email or surfing the web

See also:

Scheduler


2.13 Menu / Hot Keyboard Macro Utility Documentation

This is a very useful feature. You can organize groups of macros based on their type, purpose, function, etc. Then to access a menu just press its hotkey and select the macro you need. A macro included in a menu can also have its own hotkey and thus be called directly.

To create a menu, simply create a new macro with the Menu action type. Then you can move existing macros into this menu or create new macros for it. A menu can include any type of macro, even other menus. This organizes your macros into a tree structure.

Action Parameters:

Create SmartAdd for this menu - SmartAdd action will be created as the first macro, all macros created by the smartadd will be added to this menu

Example:

Usage ideas:

  • Put all your passwords into a "password" menu
  • Group your web bookmarks together
  • Have available your internet programs (browser, email client, news agent, FTP downloader, ICQ etc) in a single menu
  • Make a menu to organize your dialup connections
  • Have a menu of frequently used responses to emails


2.14 SmartAdd / Hot Keyboard Macro Utility Documentation

SmartAdd is an "Internal" action type which provides a fast and convenient way to create a macro. For example, you can highlight some text, in any Windows application where text can be highlighted, press a hot key and a new macro using the selected text is created. This can be done for each of the text related action types such as: paste text, launch web browser, execute a program and reminder.

Action parameters

Add to menu - choose the menu you want to add the new macro to. If <default> is set, the macro will be added to the menu associated with that action type. For example, all paste text macros, by default, are put in the "Paste text" menu.
Set action type to - this is the action type you want to assign to the new macro. "Let me choose" will give you a pop-up menu of the different action types to choose from.
Use selection instead of clipboard contents - check this if you want SmartAdd to use the highlighted text in the new macro, otherwise the clipboard content will be used.

Tip:

To create a new macro with empty fields check use selection instead of clipboard contents option and do not select any text before pressing the hot key. This would be used to quickly make a macro unrelated to the text on your screen.

Usage ideas:

  • Put the SmartAdd macro at the top of your menus so you can quickly add new macros
  • Assign Ctrl+Shift+Insert to SmartAdd so you can add text macros by simply highlighting the text and "copying"it
  • Use SmartAdd to create reminders with a single click

See also:

Shell extention
SmartAdd Action Tips


3 Using Hot Keyboard

In Using Hot Keyboard topics you will:

  • Learn about Hot Keyboard dialog windows
  • Get an ability to print defined hot keys for future reference
  • Become familiar with scheduler and events
  • Find how to import/export macros to share them between different computers or to backup
  • Get tips on organizing macros to use them efficient
  • Learn how create macros from Windows Explorer and Internet Explorer directly


3.1 Main dialog window / Hot Keyboard Documentation

This is your "master control panel" and is what is first displayed when you double-click on the Hot Keyboard icon in the systray or press the hot key to activate main dialog.

With this dialog you can view, create, modify or delete your macros, or assign them schedules.

Select a macro - highlight a macro to modify or delete from this complete listing of your macros. You can also right click on it to get a pop-up menu of operations to take on this macro.
New macro - to create a macro using Edit Macro dialog window
Edit - to modify a selected macro using Edit Macro dialog window
Delete - to delete a selected macro
Schedule - to assign a selected macro a schedule of times to execute. Opens Scheduler dialog window
Start Hot Keyboard automatically with Windows - check this box to have Hot Keyboard automatically start when Windows is started

See also:

Edit Macro dialog window


3.2 Global options / Hot Keyboard Documentation

In this dialog you can specify options of Hot Keyboard

Minimize on "Close" button press - When checked, clicking on the "Close" button of the main dialog box (the X button in the top-right corner of every window) will minimize Hot Keyboard instead of exiting it.
Distinguish between arrows and numpad - Normally Hot Keyboard does not distinguish between the dedicated arrow keys and the number pad arrow keys. Check this option and Hot Keyboard will distinguish between the left-arrow only key, for example, and the number pad's left-arrow key (that is also the number 4 key). Important note: Hot Keyboard will not distinguish between these two sets of arrow keys when in the DOS window.
"Greedy" hot key handling - Check this option if you want Hot Keyboard hot keys active rather than the hot keys of the application running in the current window. This option is used when you are working in a Windows application that has its own set of hot keys, such as a word processor with its own macros. This option does not affect the hot keys of the Windows application in any way. It simply ignores that application's hot keys and uses Hot Keyboard.
Populate tray icon menu with desktop - Check this to have your Desktop contents conveniently listed on the menu that pops up when you right-click on the Hot Keyboard system tray icon
Enable integration with shell - Hot Keyboard can be integrated to the pop-up menus of Internet Explorer and Windows Explorer. With this option checked, if you right-click on a file or folder in Windows Explorer then choose "Add to Hot Keyboard", a new macro handling this file (or folder) will be created. You can do the same for a web page while in Internet Explorer to add bookmarks quickly.
Digits first in menus - When a menu is created and called up, each item listed in that menu has its own automatically assigned number or letter. Pressing its number or letter executes that macro. This option defines how a numeration begins, whether you rather have letters or digits first.
Show pictures in menu - Each menu can consist of macros of different types. This option lets you choose to show icons of the action types to the left of each item in a menu.
Show all reminders - Check this box to have all Hot Keyboard "are you sure?" dialog boxes active in all cases where a permanent change or deletion will take place. It is recommended that you keep this checked until you become familiar with Hot Keyboard.
In-place help for dialogs - Check this box to have all Hot Keyboard help messages displayed when you move the cursor over each button, choice, setting or text box. It is recommended that you keep this checked until you become familiar with Hot Keyboard.


3.3 Global keys / Hot Keyboard Documentation

<< Previous | Table Of Contents | Next >>

In this dialog you can specify some global hot keys to easily access some functions of Hot Keyboard

Hot key to start recording - where you can specify the global hot key you want to use to start the recording of your keystrokes. The hot key to finish recording is already set to Ctrl+Break, which cannot be changed. When recording is finished, the "New macro" dialog will appear, showing all the keystrokes you just recorded.
Hot key to activate main dialog - specify the hot key you want to use to activate the main dialog of Hot Keyboard instead of having to use the mouse to click on the system tray icon.
Hot key to show reference card - set the hot key to display Quick Reference card. Note: only when the Quick Reference card is accessed by this hot key will you be able to run a macro directly from the Quick Reference card by double-clicking on the macro name.


3.4 Edit macro dialog window / Hot Keyboard Documentation

Edit Macro Dialog is the dialog used to modify a macro or to define a new macro.

Macro name - your name for the macro
Hot key - choose the hot key you want to use to execute this macro and press that keypress while the text cursor is blinking in this text box. This keypress will automatically be spelled out in this text box. To change it, simply press on another key combination. Action type - select the type of action you want this macro to perform
Action specifics lets you define the parameters for each action type:
Paste text
Record/play keystrokes
Autoreplace text
Execute a program
Launch web browser
Sound volume control
CD Player
Open a folder
Windows manipulations
Dial-up networking
Shutdown Windows
Reminder
Menu
SmartAdd
Execute if -
Always - this macro will always be executed when its hot key is pressed
Window title contains- this macro will be executed only when the active window's title contains the user-defined string
Window title doesn't contain - this macro will be executed only if the title of the active window does not contain the defined string

Tip

you can specify different window titles in Execute If by using a semicolon ( ; ) to separate them.

Example

Execute If

Window title contains - "mydocs; homerepairs; letters_from_home".


3.5 Reference card / Hot Keyboard Documentation

Quick Reference Card gives you a listing of all your defined macros. You can sort your macros by clicking on the column headings. You can make a print-out of this macro list for reference by using the "Print" button.

Quick Reference Card is accessed from the "Help" menu in the main dialog or by a hot key assigned in the Options Dialog.

Tip

When Quick Reference Card is called by its hot key, it is possible to run a macro by selecting it on the list and pressing Enter key (or doubleclick with the mouse).

Usage ideas:

  • Print the list of macros and put it near the keyboard for your employees


3.6 Change schedule / Hot Keyboard Documentation

<< Previous | Table Of Contents | Next >>

Hot Keyboard's scheduler allows you run any macro on specific time.


3.7 Macro Scheduler / Hot Keyboard Documentation

This dialog box lets you manage your scheduled macros.

Change schedule - to modify the schedule of a selected event

Remove schedule - to delete the selected event

See also:

Change schedule


3.8 Import/export macros / Hot Keyboard Documentation

You can import or export macros to backup or share a macro set.

To export the entire macro tree:

Choose File | Export to file in the Main dialog and enter a file name to save the macros to. Note: macro schedules are not saved.

To export an individual macro:

In the Main dialog right-click on the macro you want to export, then select Export this macro to file in the pop-up menu. Note: if you export a menu of macros, all the macros in that menu will be exported.

To import a macro set:

Choose File | Import from file in the Main dialog and select the file name to import the macros from. The macros will be appended to your current macro tree. Note: a file of macros is created by exporting macros from any Hot Keyboard program.

See also:

Network support


3.9 Organizing macros / Hot Keyboard Documentation

The number of your macros will increase with your use of Hot Keyboard, and it will be convenient to organize them.

Macros can be grouped into "menus", called that because the macros in that grouping can be accessed easily from a pop-up menu. A macro menu is created just like any other macro except you give it the Menu action type.

Using macro menus gives you two big advantages:

1.You don't have to memorize each hotkey of your macros

2.A tremendous number of macros can be created

Once you've created a Menu you can put other macros into it like a file folder (including other Menus). This is how you make a Macro Tree.

It is possible to assign a hotkey to an individual macro in a menu. This gives you the choice of directly calling that macro from its own hotkey or by selecting it from its menu.

Tips

You can move a macro in the Macro Tree by dragging it with the mouse, or using the Shift+Up/Down keys. To put a macro into a menu, move the macro over the menu name.

See also:

Menu action type


3.10 Shell Integration / Hot Keyboard Documentation

Hot Keyboard could be added to the pop up menu of Internet Explorer and Windows Explorer.

For example, when you right-click on a file in Windows Explorer and choose "Handle with Hot Keyboard" a new macro to Execute the program linked to that file will be created.

When you choose "Handle with Hot Keyboard" from Internet Explorer a new Launch web browser macro is created and linked to the object (web page, link, picture) that you right-clicked on.

All new macros are added to the menus associated with the new macro's action type.

Tips

  • Add new macros quickly without being tired of filling out information which is now gathered automatically
  • Add bookmarks

See also:

SmartAdd


4 Network support / Hot Keyboard Documentation

You need Hot Keyboard Client/Server if...

  • you have several computers connected to a LAN running Hot Keyboard
  • you want to have the same hot keys definitions on computers
  • your workgroup requires to have the same macros on each computer
  • you do not want to customize hot keys every time you have to change computer
  • you want to quickly switch to your own hot key set when working on a colleague's computer

How it works

Hot Keyboard Server is a separate application which can be installed on Windows NT/2000 systems as a service. Once installed, Hot Keyboard running on the other computers should be configured to connect to the server and usernames must be configured on the server. Then all clients can share and exchange macros.

Configuration

To configure the server refer to the readme file included with the server application. You can download the server application at http://www.hot-keyboard.com.

To learn how to connect and configure the client, read the next topics.


4.1 Client connection step-by-step/ Hot Keyboard Documentation

Let's assume, as an example, the server is installed on mars.company.net computer (you can use the IP address as well, for example 192.168.0.10) running on the default port 2138 using the username guest and the password pass.

Follow the steps below to configure Hot Keyboard Client:

  1. Open Settings | Network Client Settings... menu item from the main dialog window
  2. Turn Login to the Hot Keyboard server item ON
  3. Put mars.company.net to Server address field
  4. Leave other settings with default values
  5. Press OK button
  6. In the dialog that appears type the username and password used to login (the usernames are set on the server).

Once a client is connected to the server, three macro groups become available:

  • Shared macros - macros available to all computers connected to Hot Keyboard server
  • User-specific macros - macros specific to the user (no matter what computer the user logged on)
  • Local machine macros - macros specific to the computer
Priority:
  • Local machine macros have the highest priority
  • User-specific macros have priority higher than shared macros

Note: Shared macros can only be created by users with "Write access to shared macros". This option is set in the server configuration.

  1. Select Shared macros menu item in the macro tree
  2. Press the New macro button
  3. Create new macro as usual
  4. This macro will be available on all computers connected to the server (with the same hot key).


4.2 Client configuration / Hot Keyboard Documentation

This dialog is provided to configure network settings to connect to the Hot Keyboard server.

With this dialog you can set the server IP address, port, server timeout and other options.

Server address - The Hot Keyboard server IP address. It is possible to use numeric or mnemonic addresses, such as mars.company.net or 192.168.0.10, whichever you (or your system administrator) prefer.
Port - Server port. Leave this setting default unless the system administrator changes it. It must be the same as the server's.
Server timeout - time in seconds to wait until a connection is restored. Set it higher if your network is slower.
Login to the server every time Hot Keyboard starts - check this option if you have a permanent server and you want to automatically login.
Remember entered password - check this option to skip password prompt while logging on to the server

See also:

Network commands


4.3 Network commands / Hot Keyboard Documentation

As Hot Keyboard connects to the server, the Network menu item becomes available.

Commands:

Log out from server - use this command to log out from server
Log in as a different user - if you want to log in under another username
Change your network password - this command allows you to change network password to connect to the Hot Keyboard server
Server information - displays the information about the server that a client is connected to.


5 Use tips / Hot Keyboard Documentation

<< Previous | Table Of Contents | Next >>
This section provide you with useful tips, hints and how-tos on Hot Keyboard effective use. Take a look!
<< Previous | Table Of Contents | Next >>


5.1 Hot Keyboard as CD Player / Hot Keyboard Documentation

Hot Keyboard as CD Player controlled from any Windows App

Sometimes while writing documents, playing a game or reading email it is nice to listen to the CD Player. And, you know how tiring it is to switch away from your application to the CD Player to pause the CD or change to the next track.

Hot Keyboard was designed to help you around this inconvenience. Its 'CD Player' action lets you control the CD Player with hot keys without taking you away from your work.

We've created a set of macros which gives you full control of the CD Player by hot keys.

You can download this set of macros for free at http://www.hot-keyboard.com/files/cdplayer.hkb.

How To Install

1. Download http://www.hot-keyboard.com/files/cdplayer.hkb
2. Open Hot Keyboard's Main Dialog (double-click the icon in the system tray)
3. Choose File | Import From File from the menu
4. In the dialog find the folder containing your newly downloaded cdplayer.hkb.
5. Select cdplayer.hkb and click OK
6. Ensure that you have Num Lock switched OFF

How it works

1. Insert a CD into your CD-ROM drive
2. Hold down the Ctrl and Alt buttons
3. And press the Num 5 button ("5" on your numpad) to play
4. Release the Ctrl and Alt buttons

All key combinations are:

Ctrl+Alt+Num 5 - Play
Ctrl+Alt+Num 1 - Stop
Ctrl+Alt+Num 6 - Next Track
Ctrl+Alt+Num 4 - Previous Track
Ctrl+Alt+Num 3 - Pause/Resume
Ctrl+Alt+Num 9 - Fast Forward
Ctrl+Alt+Num 7 - Rewind
Ctrl+Alt+Num 0 - Eject
Ctrl+Alt+Num 8 - Sound Volume Up
Ctrl+Alt+Num 2 - Sound Volume Down
Ctrl+Alt+Num + - Sound Mute/Unmute

Please note: you can redefine each key by editing the actions in the 'CD Player' menu, which was created using Hot Keyboard's Export function.

If you have any problems using this action set, please do not hesitate to contact us at support@hot-keyboard.com

Get detailed help on CD Player action type


5.2 Add macros with SmartAdd quickly / Hot Keyboard Documentation

What is SmartAdd?

The SmartAdd feature was designed to create new macros quickly. Before SmartAdd, every time you wanted to create a macro you had to open Hot Keyboard's dialog, choose a menu, press New Macro button, etc. Now it is easy and fast with the Hot Keyboard SmartAdd feature! You just press the hot key you want and a new macro will be added. SmartAdd is flexible and intelligent. It automatically detects the type of macro for the text you've selected or that's in the clipboard. And, of course, you can make your own settings for SmartAdd to create macros of any specific type.

Also SmartAdd has been integrated with Windows Explorer and Internet Explorer

SmartAdd will help you to:
  • Create text macros. Just select the text and choose a hot key for it.
  • Right-click on a file in Windows Explorer and select to handle it with Hot Keyboard.
  • Right-click on a web page or URL in IE and you can browse this page later using Hot Keyboard.
  • Add reminders quickly.

How to start using SmartAdd?

For your convenience we made SmartAdd a macro type, so it's as simple to create as any other macro:

  1. Open Hot Keyboard's main dialog.
  2. Click the New Macro button.
  3. Fill in the "Macro name" and "Hot key" fields. Example: 'First SmartAdd' and Ctrl+Shift+A.
  4. Set Action Type to 'SmartAdd'.
  5. Choose menu to add the new SmartAdd macro to.
  6. Leave Let me choose as the action type, so Hot Keyboard will automatically detect the action type.
  7. Click OK to save the macro.

Test how it works!

1. Select the line below:

2. Press Ctrl+Shift+A
3. The autodetected action "Paste Text" is highlighted. Press Enter to accept it.
4. Edit Macro dialog now appears. You can change any settings or leave it as is, then accept the new macro.
5. Now you can use it!

Get detailed help on SmartAdd action type


6 Information / Hot Keyboard Documentation

<< Previous | Table Of Contents | Next >>

This part of the documentation contains information about Hot Keyboard's license agreement, contacts with developers and ordering options.


6.1 Support / Hot Keyboard Documentation

If you have a question or suggestion or simply want to comment, just click on one of these:

Email: support@hot-keyboard.com

Web: http://www.hot-keyboard.com

Fax: +1 (661) 760-8820

Tip: there is a lot of useful information on our web site, such as FAQ, newest tips and tricks, etc. You can even sign up to receive our newsletter containing inventive uses are customers are making of Hot Keyboard.


6.2 How to register / Hot Keyboard Documentation

Advantages to registering:

  • Hot Keyboard with full functions
  • Free technical support
  • Free or discounted upgrades

To order Hot Keyboard follow our Online order page We accept:
  • All major credit cards
  • Checks
  • Money orders
  • Bank transfers
Payment options:
  • Online orders
  • Phone and fax orders
  • Postal orders
For the latest information refer to Online order page. If you have any questions feel free to contact us at support@hot-keyboard.com


6.3 License Agreement / Hot Keyboard Documentation

SOFTWARE LICENSE AGREEMENT FOR TB LABS SOFTWARE "Hot Keyboard"

This Software License Agreement ("SLA") is a legal agreement between you (either an individual or a single entity) and TB Labs for the TB Labs software product named Hot Keyboard, which includes computer software and may include associated media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this SLA. If you do not agree to the terms of this SLA, do not install or use the SOFTWARE PRODUCT; you may, however, return it to your place of purchase for a full refund.

SOFTWARE PRODUCT LICENSE

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1 GRANT OF LICENSE. This SLA grants you the following rights:

* Trial License

Trial version of SOFTWARE PRODUCT is distributed as SHAREWARE. If you intend to use SOFTWARE PRODUCT after the trial period of 21 days, you must register your copy of SOFTWARE PRODUCT or stop using it. unregistered shareware may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of SOFTWARE PRODUCT without written permission from the copyright holder.

Private License

Granted Private License, you may use the SOFTWARE PRODUCT for non-commercial purposes only in non-business, non-institutional, non-government environment.

* Business User License

Granted Business User License, you may use the SOFTWARE PRODUCT for any purposes within a corporation, institution, government agency or business as well as in any other environment.

Applications Software. You may install and use one copy of the SOFTWARE PRODUCT, or any prior version for the same operating system, on a single computer. The primary user of the computer on which the SOFTWARE PRODUCT is installed may make a second copy for his or her exclusive use on a portable computer.

Storage/Network Use. You may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on your other computers over an internal network; however, you must acquire and dedicate a license for each separate computer on which the SOFTWARE PRODUCT is installed or run from the storage device. A license for the SOFTWARE PRODUCT may not be shared or used concurrently on different computers.

License Pack. If you have acquired this SLA in a TB Labs License Pack, you may make the number of additional copies of the computer software portion of the SOFTWARE PRODUCT accordingly to the number of licenses acquired (stated in receipt), and you may use each copy in the manner specified above. You are also entitled to make a corresponding number of secondary copies for portable computer use as specified above.

2 DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Not for Resale Software. Notwithstanding other sections of this SLA, you may not resell, or otherwise transfer for value, the SOFTWARE PRODUCT.

Limitations on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

Separation of Components. The SOFTWARE PRODUCT is licensed as a single product. Its component parts may not be separated for use on more than one computer.

Rental. You may not rent, lease, or lend the SOFTWARE PRODUCT.

Support Services. TB Labs may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Use of Support Services is governed by the TB Labs policies and programs described in "online" documentation, and/or in other Concept Data-provided materials. Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this SLA. With respect to technical information you provide to TB Labs as part of the Support Services, TB Labs may use such information for its business purposes, including for product support and development. TB Labs will not utilize such technical information in a form that personally identifies you.

Software Transfer. You may permanently transfer all of your rights under this SLA, provided you retain no copies, you transfer all of the SOFTWARE PRODUCT (including all component parts, the media and printed materials, any upgrades, this SLA, and, if applicable, the Certificate of Authenticity), and the recipient agrees to the terms of this SLA. If the SOFTWARE PRODUCT is an upgrade, any transfer must include all prior versions of the SOFTWARE PRODUCT.

Termination. Without prejudice to any other rights, TB Labs may terminate this SLA if you fail to comply with the terms and conditions of this SLA. In such event, you must destroy all copies of the SOFTWARE PRODUCT and all of its component parts.

3 UPGRADES. If the SOFTWARE PRODUCT is labeled as an upgrade, you must be properly licensed to use a product identified by TB Labs as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements the product that formed the basis for your eligibility for the upgrade. You may use the resulting upgraded product only in accordance with the terms of this SLA. If the SOFTWARE PRODUCT is an upgrade of a component of a package of software programs that you licensed as a single product, the SOFTWARE PRODUCT may be used and transferred only as part of that single product package and may not be separated for use on more than one computer.

4 COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by TB Labs or its suppliers. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, you must treat the SOFTWARE PRODUCT like any other copyrighted material except that you may install the SOFTWARE PRODUCT on a single computer provided you keep the original solely for backup or archival purposes. You may not copy the printed materials accompanying the SOFTWARE PRODUCT.

5 DUAL-MEDIA SOFTWARE. You may receive the SOFTWARE PRODUCT in more than one medium. Regardless of the type or size of medium you receive, you may use only one medium that is appropriate for your single computer. You may not use or install the other medium on another computer. You may not loan, rent, lease, or otherwise transfer the other medium to another user, except as part of the permanent transfer (as provided above) of the SOFTWARE PRODUCT.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, TB LABS AND ITS SUPPLIERS DISCLAIM ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE, AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE PRODUCT, AND THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES.

LIMITATION OF LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL TB LABS OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF TB LABS HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, TB LABS'S ENTIRE LIABILITY UNDER ANY PROVISION OF THIS SLA SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE SOFTWARE PRODUCT OR U.S.$5.00. BECAUSE SOME STATES AND JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY, THE ABOVE LIMITATION MAY NOT APPLY TO YOU.


Hot Keyboard Documentation

  • 1 Getting started.
    • 1.1 Macros and actions.
    • 1.2 Create the first macro.
    • 1.3 Basic functions description.
  • 2 Action types.
    • 2.1 Paste text
    • 2.2 Autoreplace text
    • 2.3 Record and play keystrokes
    • 2.4 Execute a program
    • 2.5 Windows manipulations
    • 2.6 Open a folder
    • 2.7 Sound volume control
    • 2.8 Windows cd player control
    • 2.9 Dial-up networking
    • 2.10 Launch web browser
    • 2.11 Shutdown Windows
    • 2.12 Reminder
    • 2.13 Menu
    • 2.14 SmartAdd
  • 3 Using Hot Keyboard
    • 3.1 Main dialog window
    • 3.2 Global options
    • 3.3 Global keys
    • 3.4 Edit macro dialog window
    • 3.5 Reference card
    • 3.6 Change schedule
    • 3.7 Macro Scheduler
    • 3.8 Import/export macros
    • 3.9 Organizing macros
    • 3.10 Shell Integration
  • 4 Network support
    • 4.1 Client connection step-by-step
    • 4.2 Client configuration
    • 4.3 Network commands
  • 5 Use tips
    • 5.1 Hot Keyboard as CD Player
    • 5.2 Add macros with SmartAdd quickly
  • 6 Information
    • 6.1 Support
    • 6.2 How to register
    • 6.3 License Agreement